## org.apache.lucene.queryParser.standard.config
Interface MultiTermRewriteMethodAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  MultiTermRewriteMethodAttributeImpl

Deprecated.

    @Deprecated
    public interface MultiTermRewriteMethodAttribute

extends org.apache.lucene.util.Attribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and should be defined in the `QueryConfigHandler` used by this processor. It basically tells the processor which `MultiTermQuery.RewriteMethod` to use.

Field Summary
`static String` `TAG_ID` Deprecated.

Method Summary
`org.apache.lucene.search.MultiTermQuery.RewriteMethod` `getMultiTermRewriteMethod()` Deprecated.
`void` `setMultiTermRewriteMethod(org.apache.lucene.search.MultiTermQuery.RewriteMethod method)` Deprecated.

Field Detail

### TAG_ID

    static final String TAG_ID

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### setMultiTermRewriteMethod

    void setMultiTermRewriteMethod(org.apache.lucene.search.MultiTermQuery.RewriteMethod method)

  Deprecated.

### getMultiTermRewriteMethod

    org.apache.lucene.search.MultiTermQuery.RewriteMethod getMultiTermRewriteMethod()

  Deprecated.